Subject: bug#67827: 30.0.50; Problems with face box

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Dec 2023 18:56:27 +0200

forcemerge 67827 67815
close 67827
thanks

> Date: Thu, 14 Dec 2023 16:35:41 +0100
> From: Niels Søndergaard <[email-masked]>
> 
> When trying to create a journal event in org-roam or a popup window or
> creating a "new frame" I get this (same error)
> 
> This all haoppend i version 30.0.50 build 2023-12-12 on my iMAC 24" with
> a M1-chip.
> 
> Debugger entered--Lisp error: (error "Invalid face box" :line-width 1 :color grey40)
>  set-face-attribute(org-beamer-tag #<frame Emacs 0x33e97f850> :box (:line-width 1 :color
> grey40))
>  face-spec-set-2(org-beamer-tag #<frame Emacs 0x33e97f850> (:box (:line-width 1 :color
> grey40)))
>  face-spec-recalc(org-beamer-tag #<frame Emacs 0x33e97f850>)
>  x-create-frame-with-faces((nil nil (title . "posframe") (parent-frame
>  . #<frame roam - Lever i Drømmen (•̀ᴗ•́)و 0x13304eb58>)
>  .
>  .
>  .
>  .
>  I figured out, that in /lisp/faces.el at line 799 it's descriped, that
>  the :box expected (:line-width WIDTH :style STYLE), but it seem like
>  it got (:line-width 1 :color grey40)....

No, the problem is that :color should have a string value, not a
symbol value.

IOW, this is a bug in Org, which is already fixed on the release
branch, and will soon be fixed on master as well.  See bug#67815, with
which I'm now merging this bug (and closing it as solved).